Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
rclone-import
/
confirm
Confirm Rclone Import
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/rclone-import/confirm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "remotes": [
    {
      "name": "<string>",
      "location_type": "s3",
      "auth_method": "s3_access_key",
      "bucket_name": "<string>",
      "credentials": {},
      "region": "<string>",
      "endpoint_url": "<string>"
    }
  ]
}
'
{
  "created": [
    {
      "remote_name": "<string>",
      "secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "secret_name": "<string>",
      "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "location_name": "<string>",
      "location_type": "s3"
    }
  ],
  "errors": [
    {
      "remote_name": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Request to import parsed rclone remotes (step 2 - confirm).

remotes
RemoteImportItem · object[]
required

List of remotes to import (from the parse preview, with user edits)

Minimum array length: 1

Response

Successful Response

Response from importing rclone remotes (step 2 - results).

created
ImportedResourcePair · object[]

Successfully created secret+location pairs

errors
ImportErrorDetail · object[]

Remotes that failed to import